#include "bbb_gpio.h"
#include "gpioexceptions.h"
#include "eventserver.h"
#include <iostream>

int main(int argc,char *argv[])
{
  CEventServer *event_server=CEventServer::instance();
  std::list<std::string> events;
  int i=0;

  try{ 
    CGPIO gpio(GPIO0,30);
    gpio.set_direction(input);
    events.push_back(gpio.set_active_edge(edge_falling));

    for(i=0;i<5;i++)
    {
      event_server->wait_all(events);
      std::cout << "Push button pressed" << std::endl;
    } 
  }catch(CGPIOException &e){
    std::cout << e.what() << std::endl;
  }
   
  return 0;
}
